org.apache.solr.client.solrj.request.schema

## Class AbstractSchemaRequest<T extends SolrResponse>

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<T>

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SchemaRequest, SchemaRequest.CopyFields, SchemaRequest.DefaultQueryOperator, SchemaRequest.DynamicField, SchemaRequest.DynamicFields, SchemaRequest.Field, SchemaRequest.Fields, SchemaRequest.FieldType, SchemaRequest.FieldTypes, SchemaRequest.GlobalSimilarity, SchemaRequest.SchemaName, SchemaRequest.SchemaVersion, SchemaRequest.UniqueKey, SchemaRequest.Update

      public abstract class AbstractSchemaRequest<T extends SolrResponse>
      extends SolrRequest<T>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSchemaRequest(SolrRequest.METHOD m, String path)`
    `AbstractSchemaRequest(SolrRequest.METHOD m, String path, SolrParams params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ContentStream>` | `getContentStreams()`
    `SolrParams` | `getParams()`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `createResponse, getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSchemaRequest

          public AbstractSchemaRequest(SolrRequest.METHOD m,
                                       String path)

    - #### AbstractSchemaRequest

          public AbstractSchemaRequest(SolrRequest.METHOD m,
                                       String path,
                                       SolrParams params)

  - ### Method Detail

    - #### getParams

          public SolrParams getParams()

      Specified by:
        `getParams` in class `SolrRequest<T extends SolrResponse>`

    - #### getContentStreams

          public Collection<ContentStream> getContentStreams()
                                                      throws IOException

      Specified by:
        `getContentStreams` in class `SolrRequest<T extends SolrResponse>`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.